Description

I'm using velocity to create a pdf document in a Webclient and I'm having issues getting the font-type correctly.

The template has a style setting for the font-family: Arial;

But when the report is generated the font type looks to be times new roman.

I've tried to download the arial.ttf file and add it to the fonts folder. And in the webclient I've added the function-call: installFonts() but
I'm not sure where those fonts should be copied to in a webclient.

I've had similar problem in my developer but that was fixed after | created a sample solution and | ran it in smartclient (which resulted
in the arial.ttf file being copied to my .servoy folder. After this running the webclient from my developer showed the correct font.

History

#1 - 07/18/2014 05:48 PM - Patrick Talbot

- Status changed from New to Closed

In web client, the pdf is created on the server, so if you want to use a specific font, just install it on the server as a regular system font.

#2 - 07/21/2014 09:49 AM - Jos de Bruijn

The font is available in the windows\\fonts folder. And the control panel shows it as installed and visible. Is there some other place | should place it?

#3 - 07/29/2014 03:22 PM - Patrick Talbot

It's weird because if it is installed on the system the renderer should be able to pick it.
Maybe a restart would help, but if not, you could try and put it in a .servoy/fonts folder in the user home folder
(C:\\Users\\theNameOfTheUserThatlsRunningTheServoyService\\.servoy\\fonts)
